WordPress.org

Plugin Directory

IP Geo Block

It blocks any spams, login attempts and malicious access to the admin area posted from outside your nation, and also prevents zero-day exploit.

Requires: 3.7 or higher
Compatible up to: 4.4.2
Last Updated: 1 week ago
Active Installs: 6,000+

Ratings

4.8 out of 5 stars

Support

10 of 13 support threads in the last two months have been marked resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
50,2,1 100,1,1
100,2,2
100,1,1 0,2,0